---

composer-validate:
  stage: linting
  image: composer:latest
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies: []
  cache: {}
  needs: []
  interruptible: true
  script:
    - composer validate --check-lock --strict --no-interaction
